curl --request GET \
--url https://api.chainstack.com/v2/deployment-options/ \
--header 'Authorization: Bearer <token>'{
"options": [
{
"blockchain": "BC-000-000-008",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-017",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-sepolia-testnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-015",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "solana",
"network": "solana-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-006",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "bsc",
"network": "bsc-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-010",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "polygon-pos",
"network": "polygon-pos-mainnet",
"features": [
"full"
]
}
]
}List all available deployment options for your organization. Returns the deployable nodes matrix filtered to shared node types on global clouds. Each option includes the blockchain ID, cloud ID, protocol, network, and available features.
curl --request GET \
--url https://api.chainstack.com/v2/deployment-options/ \
--header 'Authorization: Bearer <token>'{
"options": [
{
"blockchain": "BC-000-000-008",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-017",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "ethereum",
"network": "ethereum-sepolia-testnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-015",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "solana",
"network": "solana-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-006",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "bsc",
"network": "bsc-mainnet",
"features": [
"full"
]
},
{
"blockchain": "BC-000-000-010",
"cloud": "CC-0016",
"region": "us-east-1",
"provider": "aws",
"protocol": "polygon-pos",
"network": "polygon-pos-mainnet",
"features": [
"full"
]
}
]
}Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Response containing the list of available deployment options.
List of available deployment options.
Show child attributes
Was this page helpful?